/* You can add global styles to this file, and also import other style files */

@import '~@angular/material/prebuilt-themes/indigo-pink.css';
@import url('https://cdn.jsdelivr.net/jquery.slick/1.6.0/slick.css');
@import url('https://cdn.jsdelivr.net/jquery.slick/1.6.0/slick-theme.css');
@import '~styles/helpers/_module';
@import 'upscale-helpers/upscale_variables';


html {
	overflow: auto;
	-webkit-overflow-scrolling: touch;
	font-size: 62.5%;
}

html,
body {
	font-family: $base-font-family;
	color: $upscale-grey2;
	background-color: $upscale-grey9;
}

body {
	margin: 0;
	@include base-font-size;
}

input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
a {
	text-decoration: none;
}
.set-detail-dialog {
	min-width: 700px !important;
	max-width: 700px !important;
	min-height: unset !important;
	overflow-y: auto;
	mat-dialog-container {
		padding: 0;
		mat-dialog-content {
			margin: 0;
			& > div {
				flex: 0 0;
			}
		}
	}
}

// normalize css settings
h1,
h2,
h3,
h4 {
	margin: 0;
	font-size: inherit;
	font-weight: inherit;
}

button {
	padding-left: 0;
	padding-right: 0;
}

.generic-alert-dialog {
	mat-dialog-container {
		padding: 0;
		overflow: visible;
	}
}

.template-overlay-backdrop {
	background-color: white;
}

.navigation-slideout-backdrop {
	background-color: transparent;
}

.upscale-dropdown-panel {
	.mat-option {
		height: auto !important;
		line-height: inherit !important;
	}
}

.upscale-desktop {
	.container-content {
		max-width: 1500px;
		width: 85%;
		margin: 0 auto;
	}
}

// generic styles for text
.generic-text-extra-large {
	@include extra-large-font-size;
}

.generic-text-large {
	@include large-font-size;
}

.generic-text-medium {
	@include medium-font-size;
}

.generic-text-base {
	@include base-font-size;
}

.generic-text-small {
	@include small-font-size;
}

.component-headline-group {
	padding: $medium-spacer-desktop 0;
}

.component-headline-group:empty {
	display: none;
}

.upscale-tablet {
	.component-headline-group {
		padding: $medium-spacer-tablet 0;
	}
}

.upscale-mobile {
	.component-headline-group {
		padding: $medium-spacer-mobile 0;
	}
}

.upscale-mobile,
.upscale-tablet {
	.container-content {
		width: 95%;
		margin: 0 auto;
	}

	[data-component-type='BROWSE'] {
		.container-content {
			width: 100%;
		}
	}
}

.upscale-mobile,
.upscale-tablet {
	[data-component-type='ORDER_DETAILS'] {
		.container-content {
			width: 100%;
			max-width: 600px;
		}
	}
}

[hidden] {
	display: none !important;
}

/** mat-select checked styling **/
.mat-pseudo-checkbox-checked,
.mat-pseudo-checkbox-indeterminate,
.mat-accent .mat-pseudo-checkbox-checked,
.mat-accent .mat-pseudo-checkbox-indeterminate,
.mat-accent .mat-slider-track-fill,
.mat-accent .mat-slider-thumb,
.mat-accent .mat-slider-thumb-label,
.mat-radio-button.mat-accent .mat-radio-inner-circle,
.mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element:not(.mat-radio-persistent-ripple),
.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-persistent-ripple,
.mat-radio-button.mat-accent:active .mat-radio-persistent-ripple,
.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
.mat-checkbox-checked.mat-accent .mat-checkbox-background,
.mat-checkbox-checked:not(.mat-checkbox-disabled).mat-accent .mat-ripple-element,
.mat-checkbox:active:not(.mat-checkbox-disabled).mat-accent .mat-ripple-element {
	background: #005cc4;
}

.mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
	border-color: #005cc4;
}

.required {
	&::after {
		content: '*';
		color: $error;
		margin-left: 3px;
		@include small-font-size;
	}
}

owl-date-time-container {
	.owl-dt-calendar-table .owl-dt-calendar-cell-selected {
		background-color: $black;
		color: $white;
	}

	.owl-dt-container-info {
		display: none;
	}

	.owl-dt-calendar-table .owl-dt-calendar-cell-in-range {
		background: $upscale-grey2;
		color: $white;
	}

	.owl-dt-calendar-table .owl-dt-calendar-cell-content {
		border-radius: 0;
	}

	.owl-dt-calendar-table .owl-dt-calendar-cell-in-range.owl-dt-calendar-cell-range-from,
	.owl-dt-calendar-table .owl-dt-calendar-cell-in-range.owl-dt-calendar-cell-range-to {
		border-radius: 0;
	}

	.owl-dt-timer-hour12 {
		color: $black;
	}

	.owl-dt-timer-hour12 .owl-dt-timer-hour12-box:focus .owl-dt-control-button-content,
	.owl-dt-timer-hour12 .owl-dt-timer-hour12-box:hover .owl-dt-control-button-content {
		background-color: $black;
	}

	.owl-dt-container-buttons {
		button:first-child {
			color: $black;
		}

		button:last-child {
			background-color: $black;
			color: $white;
		}
	}
}

mat-datepicker-content {
	mat-calendar {
		mat-calendar-header {
			.mat-calendar-header {
				.mat-calendar-controls {
					justify-content: space-between;
					.mat-calendar-period-button {
						order: 1;

						.mat-calendar-arrow {
							display: none;
						}
					}

					.mat-calendar-previous-button {
						order: 0;
					}

					.mat-calendar-next-button {
						order: 2;
					}

					.mat-calendar-spacer {
						display: none;
					}
				}
			}
		}

		.mat-calendar-content {
			mat-month-view {
				.mat-calendar-table {
					.mat-calendar-body-label {
						visibility: hidden;
					}

					.mat-calendar-body-selected {
						background-color: $black;
					}

					.mat-calendar-body-in-range {
						background-color: $upscale-grey2;
						border-top: 2px solid $white;
						border-bottom: 2px solid $white;

						.mat-calendar-body-today.mat-calendar-body-selected {
							box-shadow: none;
						}

						.mat-calendar-body-cell-content {
							color: $white;
						}

						&::before {
							border-radius: 2px;
							background-color: $upscale-grey2;
						}
					}

					.mat-calendar-body-range-start,
					.mat-calendar-body-range-end {
						background-color: $black;
					}

					.mat-calendar-body-range-end:not(.mat-calendar-body-in-comparison-range)::before,
					.mat-calendar-body-range-end::after,
					.mat-calendar-body-comparison-end:not(.mat-calendar-body-comparison-bridge-end)::before,
					.mat-calendar-body-comparison-end::after,
					.mat-calendar-body-preview-end .mat-calendar-body-cell-preview {
						border-radius: 0;
					}
				}
			}
		}

		.mat-calendar-body-cell-content {
			border-radius: 0;
		}
	}
}

.mobile-overlay-dialog {
	mat-dialog-container {
		border-radius: 10px;
		position: relative;
		overflow: initial;

		.close-button {
			@include base-font-size;
			position: absolute;
			top: -50px;
			right: 0;
			background: transparent;
			border: none;
			color: $white;
			font-weight: 500;
			cursor: pointer;
		}
	}
}

.upscale-mobile {
		.content {
			box-sizing: border-box;
			padding: $medium-spacer-mobile;
			.full-width {
				margin-top: 0px;
				margin-left: -$medium-spacer-mobile;
				margin-right: -$medium-spacer-mobile;
				margin-bottom: 0px;
				&.footer {
					margin-top: 0px;
					margin-left: -$medium-spacer-mobile;
					margin-right: -$medium-spacer-mobile;
					margin-bottom: -$medium-spacer-mobile;
				}
			}
		}
}

.upscale-tablet {
		.content {
			box-sizing: border-box;
			padding: $medium-spacer-tablet;
			.full-width {
				margin-top: 0px;
				margin-left: -$medium-spacer-tablet;
				margin-right: -$medium-spacer-tablet;
				margin-bottom: 0px;
				&.footer {
					margin-top: 0px;
					margin-left: -$medium-spacer-tablet;
					margin-right: -$medium-spacer-tablet;
					margin-bottom: -$medium-spacer-tablet;
				}
			}
		}
}

.upscale-desktop  {
		.content {
			box-sizing: border-box;
			padding: $medium-spacer-desktop;
			.full-width {
				margin-top: 0px;
				margin-left: -$medium-spacer-desktop;
				margin-right: -$medium-spacer-desktop;
				margin-bottom: 0px;
				&.footer {
					margin-top: 0px;
					margin-left: -$medium-spacer-desktop;
					margin-right: -$medium-spacer-desktop;
					margin-bottom: -$medium-spacer-desktop;
				}
			}
	}
}

  .upscale-desktop .header.container-content {
    display: grid;
    grid-template-areas: "logo menu1 menu2";
    grid-template-columns: 15% 50% 25%;
}

.header__bottom{
        grid-area: menu1;
        align-items: center;
        display: flex;
}

.upscale-desktop .header__top{
        display:contents !important;
}
.header__logo-image-wrapper {
        grid-area: logo;
}
.header__top-navbar{
        grid-area: menu2;
}

.header__top-left{
height: 80px !important;
}
// Cambio fuentes//

#upscale .storybook-component-headline{
	font-family: 'ThirstyRough-Rg', sans-serif !important;
	padding-left: 6px;
    padding-bottom: 2px;
	font-weight: 300;
}
#upscale .browse-category-name{
	font-family: 'ThirstyRough-Rg', sans-serif !important;
    padding-left: 6px;
    padding-bottom: 2px;
}
.headline{
	font-family: 'ThirstyRough-Rg', sans-serif !important;
	padding-left: 6px;
    padding-bottom: 2px;
	font-weight: 300 !important;
	color: #572f1e;
}

.link-name{
	font-family: 'ThirstyRough-Rg', sans-serif !important;
	font-size: 16px;
 }
#upscale .storybook-template-id-content-headline,
#upscale .storybook-category-content-headline{
    font-family: 'ThirstyRough-Rg', sans-serif !important;
	padding-left: 6px;
    padding-bottom: 2px;
}
#upscale .storybook-template-id-content-sub-headline{
    font-family: $base-font-family;
}
#upscale .storybook-template-id-link-text-button{
    font-family: $base-font-family;
}
#upscale .attribute-sets-sub-headline {
    color: #424242;
    font-family: $base-font-family;
}
#upscale .storybook-category-content-name{
	font-weight: 500;
	font-family: 'ThirstyRough-Rg', sans-serif !important;
}
.attribute-details__body-html .html-container {
	font-family: $base-font-family;
}

.shopping-cart-icon__badge {
    line-height: 17px !important;
}

.resizable-input-value.mini {
	width: inherit !important;
}
#upscale .attribute-sets-sub-headline {
    color: #424242;
    font-family: $base-font-family;
}
/* BUTTONS */
.login .login-content .buttons .login-button{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.login .login-content .buttons .login-button:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.register-content .register-buttons .register-button{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.register-content .register-buttons .register-buttonhover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.account__logout{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.account__logout:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.content .section__button{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.content .section__button:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.formgroup__button{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.formgroup__button:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.content .section__button--empty{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.content .section__button--empty:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.more-button{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.more-button:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
.text-button{
	border: solid 2px #228b22 !important;
	color: #ffffff !important;
	background-color: #228b22 !important;
}
.text-button:hover{
	background-color: #228b22 !important;
	filter: brightness(90%) !important;
}
/*ACCOUNT*/
.login .login-content .title{
	font-weight: normal !important;
  color: #572f1e !important;
	font-family: 'ThirstyRough-Rg';
}
.register-content .title{
	font-weight: normal !important;
  color: #572f1e !important;
	font-family: 'ThirstyRough-Rg';
}
/* CONTACTO*/
.titular_contacto{
	font-family: 'ThirstyRough-Rg';
	font-weight: normal !important;
	color: #572f1e;
	font-size: 3.6rem !important;
	line-height: 1.22;
	padding-bottom: 24px;
  padding-top: 110px;
	text-align: center;
}
.texto_contacto{
	font-family: 'BrandonGrotesque-Lg';
	color: #572f1e;
	font-size: 1.8rem;
  line-height: 1.55;
	text-align: center;
}
.resizable-input-value{
	border: none !important;
}
.body{
	 background-color: transparent !important;
	 border: none !important;
}
upscale-template[data-name='Contact Us'] {
    .body .action-button{
        display: none !important;
    }
		.resizable-input label.resizable-input-limit{
			display: none !important;
		}
}
.dropdown .select{
	border: none !important;
}
.dropdown .select .mat-select-arrow{
	border-right: 2px solid #572f1e !important;
    border-bottom: 2px solid #572f1e !important;
}
.resizable-input-value{
font-family: 'BrandonGrotesque-Lg' !important;
font-size: 15px !important;
line-height: 22px !important;
}
.actions .section__button{
	font-family: 'BrandonGrotesque-Lg' !important;
  background-color: #0D971C !important;
	width: 20% !important;
	margin-left: auto;
  margin-right: auto;
}
.body .action-button .return-link {
font-family: 'BrandonGrotesque-Lg' !important;
color: #0D971C !important;
}

.generic-text-extra-large.component-headline{
    font-family: 'ThirstyRough-Rg', sans-serif !important;
    font-weight: normal !important;
    color: #572f1e;
}
.section__button{
	background-color: #228b22;
}
[_nghost-serverApp-c308] .container-content,
[_nghost-serverapp-c221] .container-content{
		max-width: none !important;
    width: 100% !important;
    margin: 0 !important;
}

[_nghost-serverApp-c300] .content,
[_nghost-serverapp-c220] .content{
	padding-top: 0px !important
}
#upscale .carousel-container{
	background-color: rgb(255, 255, 255);
}
.carousel-container{
	.component-sub-headline{
		color: #ff1432;
		    font-family: 'Roboto Condensed';
		    font-weight: 400;
	}
}

/* RECETAS*/
.tit_ricetta{
	font-family: 'ThirstyRough-Rg';
	font-weight: normal;
	color: #572f1e;
	font-size: 50px;
	line-height: 1.22;
	padding-bottom: 24px;
  padding-top: 110px;
}
.tit_procedimento{
	font-family: 'ThirstyRough-Rg';
	font-weight: normal;
	color: #572f1e;
	font-size: 25px;
	line-height: 1.22;
	padding-bottom: 24px;
  padding-top: 110px;
}
.text_ricetta{
	font-family: 'BrandonGrotesque-Lg';
	color: #572f1e;
	font-size: 1.5rem;
  line-height: 1.55;
	text-align: center;
}
